## CamelMimeFilterBestenc

CamelMimeFilterBestenc

## Functions

CamelMimeFilter * | camel_mime_filter_bestenc_new ()
CamelTransferEncoding | camel_mime_filter_bestenc_get_best_encoding ()
const gchar * | camel_mime_filter_bestenc_get_best_charset ()
void | camel_mime_filter_bestenc_set_flags ()

## Types and Values

enum | CamelBestencRequired
enum | CamelBestencEncoding
struct | CamelMimeFilterBestenc

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterBestenc

## Description

## Functions

### camel_mime_filter_bestenc_new ()

    CamelMimeFilter *
    camel_mime_filter_bestenc_new (guint flags);

Create a new CamelMimeFilterBestenc object.

#### Parameters

flags | a bitmask of data required. |

#### Returns

a new CamelMimeFilterBestenc object

### camel_mime_filter_bestenc_get_best_encoding ()

    CamelTransferEncoding
    camel_mime_filter_bestenc_get_best_encoding
                                   (CamelMimeFilterBestenc *filter,
                                    CamelBestencEncoding required);

Get the best encoding, given specific constraints, that can be used to encode a stream of bytes.

#### Parameters

filter | a CamelMimeFilterBestenc object |
required | maximum level of output encoding allowed. |

#### Returns

the best encoding to use

### camel_mime_filter_bestenc_get_best_charset ()

    const gchar *
    camel_mime_filter_bestenc_get_best_charset
                                   (CamelMimeFilterBestenc *filter);

Gets the best charset that can be used to contain this content.

#### Parameters

filter | a CamelMimeFilterBestenc object |

#### Returns

the name of the best charset to use to encode the input text filtered by `filter`

### camel_mime_filter_bestenc_set_flags ()

    void
    camel_mime_filter_bestenc_set_flags (CamelMimeFilterBestenc *filter,
                                         guint flags);

Set the flags for subsequent operations.

#### Parameters

filter | a CamelMimeFilterBestenc object |
flags | bestenc filter flags |

## Types and Values

### enum CamelBestencRequired

#### Members

CAMEL_BESTENC_GET_ENCODING |  |
CAMEL_BESTENC_GET_CHARSET |  |
CAMEL_BESTENC_LF_IS_CRLF |  |
CAMEL_BESTENC_NO_FROM |  |

### enum CamelBestencEncoding

#### Members

CAMEL_BESTENC_7BIT |  |
CAMEL_BESTENC_8BIT |  |
CAMEL_BESTENC_BINARY |  |
CAMEL_BESTENC_TEXT |  |

### struct CamelMimeFilterBestenc

    struct CamelMimeFilterBestenc;